# SPDX-FileCopyrightText: 2023 Bundesministerium des Innern und für Heimat, PG ZenDiS "Projektgruppe für Aufbau ZenDiS"
# SPDX-License-Identifier: Apache-2.0
---
include:
  - project: "bmi/opendesk/tooling/gitlab-config"
    ref: "v2.3.1"
    file:
      - "ci/common/lint.yml"
    rules:
      - if: "$CI_PIPELINE_SOURCE =~ 'schedule|web'"
        when: "never"
      - when: "always"

stages:
  - "lint"
  - "deploy"

renovate:
  image: "ghcr.io/renovatebot/renovate:37.59.7@sha256:a0dd48947ca03d9088ff7bfdcf689a5cc3c1eb9522d5ff87d14636b5ad60a3dc"
  rules:
    - if: "$CI_PIPELINE_SOURCE =~ 'schedule|web'"
  script:
    - "renovate ${RENOVATE_EXTRA_FLAGS}"
  stage: "deploy"
  variables:
    RENOVATE_CONFIG_FILE: "${CI_PROJECT_DIR}/config.yaml"
    RENOVATE_ENDPOINT: "${CI_API_V4_URL}"
    RENOVATE_LOG_FILE_LEVEL: "debug"
...
